%define anolis_release 1

Name:           luksmeta
Version:        9
Release:        %{anolis_release}%{?dist}
Summary:        Utility for storing small metadata in the LUKSv1 header

License:        LGPLv2+
URL:            https://github.com/latchset/%{name}
Source0:        https://github.com/latchset/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2

Patch01: luksmeta-9-tests.patch
Patch02: luksmeta-9-relax-layout-assumptions.patch
Patch03: Define-log-callback-function-to-use-with-libcryptset.patch

BuildRequires:  gcc
BuildRequires:  asciidoc
BuildRequires:  pkgconfig
BuildRequires:  cryptsetup-devel
BuildRequires:  cryptsetup
BuildRequires: make
Requires: lib%{name} = %{version}-%{release}

%description
LUKSMeta is a command line utility for storing small portions of metadata in
the LUKSv1 header for use before unlocking the volume.

%package -n lib%{name}
Summary:        Library for storing small metadata in the LUKSv1 header

%description -n lib%{name}
LUKSMeta is a C library for storing small portions of metadata in the LUKSv1
header for use before unlocking the volume.

%package -n lib%{name}-devel
Summary:        Development files for libluksmeta
Requires:       lib%{name} = %{version}-%{release}
Requires:       pkgconfig

%description -n lib%{name}-devel
This package contains development files for the LUKSMeta library.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
%generate_compatibility_deps

%check
make %{?_smp_mflags} check

%files
%{_bindir}/luksmeta
%{_mandir}/man8/luksmeta.8*

%files -n lib%{name}
%license COPYING
%{_libdir}/libluksmeta.so.*
%dir %{abidir}
%{abidir}/*.dump

%files -n lib%{name}-devel
%{_includedir}/luksmeta.h
%{_libdir}/libluksmeta.so
%{_libdir}/pkgconfig/luksmeta.pc


%changelog
* Tue Mar 21 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 9-1
- init from upstream
